<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ProjectDependency (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ProjectDependency (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ProjectDependency.html" target="_top">Frames</a></li>
<li><a href="ProjectDependency.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts</div>
<h2 title="Interface ProjectDependency" class="title">Interface ProjectDependency</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>, <a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html" title="interface in org.gradle.api.artifacts">SelfResolvingDependency</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">ProjectDependency</span>
extends <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>, <a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html" title="interface in org.gradle.api.artifacts">SelfResolvingDependency</a></pre>
<div class="block"><p>A <code>ProjectDependency</code> is a <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> on another project in the current project hierarchy.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.artifacts.Dependency">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/Dependency.html#ARCHIVES_CONFIGURATION">ARCHIVES_CONFIGURATION</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#CLASSIFIER">CLASSIFIER</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#DEFAULT_CONFIGURATION">DEFAULT_CONFIGURATION</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ProjectDependency.html" title="interface in org.gradle.api.artifacts">ProjectDependency</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ProjectDependency.html#copy()">copy</a></strong>()</code>
<div class="block">Creates and returns a new dependency with the property values of this one.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ProjectDependency.html#getDependencyProject()">getDependencyProject</a></strong>()</code>
<div class="block">Returns the project associated with this project dependency.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.ModuleDependency">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#addArtifact(org.gradle.api.artifacts.DependencyArtifact)">addArtifact</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#artifact(org.gradle.api.Action)">artifact</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#artifact(groovy.lang.Closure)">artifact</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#exclude(java.util.Map)">exclude</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#getArtifacts()">getArtifacts</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#getExcludeRules()">getExcludeRules</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#getTargetConfiguration()">getTargetConfiguration</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#isTransitive()">isTransitive</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#setTargetConfiguration(java.lang.String)">setTargetConfiguration</a>, <a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#setTransitive(boolean)">setTransitive</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.SelfResolvingDependency">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html" title="interface in org.gradle.api.artifacts">SelfResolvingDependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html#resolve()">resolve</a>, <a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html#resolve(boolean)">resolve</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.Dependency">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/Dependency.html#contentEquals(org.gradle.api.artifacts.Dependency)">contentEquals</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#getGroup()">getGroup</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#getName()">getName</a>, <a href="../../../../org/gradle/api/artifacts/Dependency.html#getVersion()">getVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDependencyProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencyProject</h4>
<pre><a href="../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;getDependencyProject()</pre>
<div class="block">Returns the project associated with this project dependency.</div>
</li>
</ul>
<a name="copy()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copy</h4>
<pre><a href="../../../../org/gradle/api/artifacts/ProjectDependency.html" title="interface in org.gradle.api.artifacts">ProjectDependency</a>&nbsp;copy()</pre>
<div class="block">Creates and returns a new dependency with the property values of this one.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/Dependency.html#copy()">copy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/artifacts/ModuleDependency.html#copy()">copy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The copy. Never returns null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ProjectDependency.html" target="_top">Frames</a></li>
<li><a href="ProjectDependency.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
